## NMDeviceOlpcMesh

NMDeviceOlpcMesh

## Functions

GQuark | nm_device_olpc_mesh_error_quark ()
GObject * | nm_device_olpc_mesh_new ()
const char * | nm_device_olpc_mesh_get_hw_address ()
NMDeviceWifi * | nm_device_olpc_mesh_get_companion ()
guint32 | nm_device_olpc_mesh_get_active_channel ()

## Properties

guint | active-channel | Read
NMDeviceWifi * | companion | Read
gchar * | hw-address | Read

## Types and Values

enum | NMDeviceOlpcMeshError
#define | NM_DEVICE_OLPC_MESH_ERROR
#define | NM_DEVICE_OLPC_MESH_HW_ADDRESS
#define | NM_DEVICE_OLPC_MESH_COMPANION
#define | NM_DEVICE_OLPC_MESH_ACTIVE_CHANNEL

## Object Hierarchy

        GObject
        ╰── NMObject
            ╰── NMDevice
                ╰── NMDeviceOlpcMesh

## Description

## Functions

### nm_device_olpc_mesh_error_quark ()

    GQuark
    nm_device_olpc_mesh_error_quark (void);

Registers an error quark for NMDeviceOlpcMesh if necessary.

#### Returns

the error quark used for NMDeviceOlpcMesh errors.

### nm_device_olpc_mesh_new ()

    GObject *
    nm_device_olpc_mesh_new (DBusGConnection *connection,
                             const char *path);

Creates a new NMDeviceOlpcMesh.

#### Parameters

connection | the DBusGConnection |
path | the DBus object path of the device |

#### Returns

a new OlpcMesh device.

[transfer full]

### nm_device_olpc_mesh_get_hw_address ()

    const char *
    nm_device_olpc_mesh_get_hw_address (NMDeviceOlpcMesh *device);

Gets the hardware (MAC) address of the NMDeviceOlpcMesh

#### Parameters

device | a NMDeviceOlpcMesh |

#### Returns

the hardware address. This is the internal string used by the device, and must not be modified.

### nm_device_olpc_mesh_get_companion ()

    NMDeviceWifi *
    nm_device_olpc_mesh_get_companion (NMDeviceOlpcMesh *device);

Gets the companion device of the NMDeviceOlpcMesh.

#### Parameters

device | a NMDeviceOlpcMesh |

#### Returns

the companion of the device of `NULL`.

[transfer none]

### nm_device_olpc_mesh_get_active_channel ()

    guint32
    nm_device_olpc_mesh_get_active_channel
                                   (NMDeviceOlpcMesh *device);

Returns the active channel of the NMDeviceOlpcMesh device.

#### Parameters

device | a NMDeviceOlpcMesh |

#### Returns

active channel of the device

## Types and Values

### enum NMDeviceOlpcMeshError

#### Members

NM_DEVICE_OLPC_MESH_ERROR_UNKNOWN | unknown or unclassified error |
NM_DEVICE_OLPC_MESH_ERROR_NOT_OLPC_MESH_CONNECTION | the connection was not of Olpc Mesh type |
NM_DEVICE_OLPC_MESH_ERROR_INVALID_OLPC_MESH_CONNECTION | the Olpc Mesh connection was invalid |

### NM_DEVICE_OLPC_MESH_ERROR

    #define NM_DEVICE_OLPC_MESH_ERROR nm_device_olpc_mesh_error_quark ()

### NM_DEVICE_OLPC_MESH_HW_ADDRESS

    #define NM_DEVICE_OLPC_MESH_HW_ADDRESS     "hw-address"

### NM_DEVICE_OLPC_MESH_COMPANION

    #define NM_DEVICE_OLPC_MESH_COMPANION      "companion"

### NM_DEVICE_OLPC_MESH_ACTIVE_CHANNEL

    #define NM_DEVICE_OLPC_MESH_ACTIVE_CHANNEL "active-channel"

## Property Details

### The `“active-channel”` property

      “active-channel”           guint

The device's active channel.

Flags: Read

Default value: 0

### The `“companion”` property

      “companion”                NMDeviceWifi *

The companion device.

Flags: Read

### The `“hw-address”` property

      “hw-address”               gchar *

The hardware (MAC) address of the device.

Flags: Read

Default value: NULL